<?php

declare(strict_types=1);

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('logs', function (Blueprint $table) {
            $table->id();

            $table->string('event');
            $table->foreignId('user_id')->nullable()->constrained('users');
            $table->ipAddress('ip')->nullable();
            $table->smallInteger('priority')->default(1);
            $table->string('location')->nullable();
            $table->boolean('is_viewed')->default(false);
            $table->longText('desc')->nullable();
            $table->integer('count')->default(0);

            $table->foreignId('created_by')->constrained('users');
            $table->foreignId('updated_by')->nullable()->constrained('users');
            $table->softDeletes();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('logs');
    }
};
